entmake 3dpoly function by passing a var list of 3d points

Discussion in 'AutoCAD' started by alex, Apr 5, 2004.

  1. alex

    alex Guest

    any function out there for this?

    thanks alex
     
    alex, Apr 5, 2004
    #1
  2. alex

    Rodney Estep Guest

    Just pulled this from an old file I wrote to draw Shcs. Hope this helps.
    Rodney
    (SETQ SH2 (POLAR SHPOINT ( + ANG (DTR 90)) ( / HEADIA 2.0)))
    (SETQ SH1 (POLAR SH2 ( + ANG pi) ( - tpdia ( * 0.1 tpdia))))
    (SETQ SH3 (POLAR SH2 ( - ANG (DTR 90)) HEADIA))
    (SETQ SH4 (POLAR SH3 ( + ANG pi) ( - tpdia ( * 0.1 tpdia))))
    (SETQ SH5 (POLAR SH4 ( - ( + ANG pi) (DTR 45)) (* (SQRT 2) ( * 0.1
    tpdia))))
    (SETQ SH6 (POLAR SH5 ( + ANG (DTR 90)) (- HEADIA ( * 2.0 ( * 0.1
    tpdia)))))
    ;*******************DRAW head******************
    (if (or (not hd_layer) (= Hd_layer "None"))(PRINC)
    (progn
    (ENTMAKE
    (append (LIST (CONS 0 "POLYLINE")(CONS 8 HD_LAYER )
    (CONS 66 1 ) ) shdat ) )
    (ENTMAKE (LIST (CONS 0 "VERTEX")(CONS 8 HD_LAYER ) (CONS
    10 (trans sh1 1 0)) )) (ENTMAKE (LIST (CONS 0 "VERTEX")(CONS 8
    HD_LAYER )
    (CONS 10 (trans sh2 1 0 )) )) (ENTMAKE (LIST (CONS 0
    "VERTEX")(CONS 8 HD_LAYER ) (CONS 10 (trans sh3 1 0) ) ) )
    (ENTMAKE (LIST (CONS 0 "VERTEX")(CONS 8 HD_LAYER )
    (CONS 10 (trans sh4 1 0) ) ) ) (ENTMAKE
    (LIST (CONS 0 "VERTEX")(CONS 8 HD_LAYER ) (CONS 10 (trans
    sh5 1 0 )) ) ) (ENTMAKE (LIST (CONS 0 "VERTEX")(CONS 8
    HD_LAYER ) (CONS 10 (trans sh6 1 0 )) ) )
    (ENTMAKE (LIST (CONS 0 "VERTEX")(CONS 8 HD_LAYER )
    (CONS 10 (trans sh1 1 0)) ) )
    (ENTMAKE (LIST (CONS 0 "VERTEX")(CONS 8 HD_LAYER )
    (CONS 10 (trans sh4 1 0 )) ) ) (ENTMAKE (LIST (CONS 0 "SEQEND")
    ) ) )
    )
     
    Rodney Estep, Apr 5, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.